using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace BOB.Converters
{
    public class IsEnumTypeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is Type type)
            {
                // 检查是否为枚举类型
                bool isEnum = type.IsEnum;

                // 根据参数决定返回值类型
                if (parameter is string strParam && strParam == "Collapse")
                {
                    return isEnum ? Visibility.Collapsed : Visibility.Visible;
                }
                return isEnum ? Visibility.Visible : Visibility.Collapsed;
            }
            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
